package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.TEntity;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/OpAccountDataAction.class */
public class OpAccountDataAction extends LifeAction {
    private String operType;
    private String icollName;
    private String perAccountType;

    public String execute(Context context) throws GENEException {
        String language;
        String perAccountType;
        IndexedCollection accountIcoll;
        IndexedCollection icoll = context.getDataElement(this.icollName);
        try {
            language = (String) context.getDataValue(TEntity.language);
        } catch (Exception unused) {
            language = "ZH_CN";
        }
        if ("0".equals(this.operType)) {
            Map data = (Map) context.get(TEntity.BSN_DATA_MAP);
            if (data != null && (accountIcoll = (IndexedCollection) data.get("iAccountInfo")) != null) {
                String accType = (String) context.getDataValue(this.perAccountType);
                List accTypeList = new ArrayList();
                if (accType != null) {
                    accTypeList = Arrays.asList(accType.split(","));
                }
                for (int i = 0; i < accountIcoll.size(); i++) {
                    KeyedCollection kColl = (KeyedCollection) accountIcoll.get(i);
                    if (accTypeList.size() > 0) {
                        if (accTypeList.contains(kColl.get("perAccountType"))) {
                            icoll.add(accountIcoll.get(i));
                        }
                    } else if ("0".equals(kColl.get("perAccountType")) || "1".equals(kColl.get("perAccountType"))) {
                        icoll.add(accountIcoll.get(i));
                    }
                }
                return "0";
            }
            return "0";
        }
        if (icoll != null) {
            IndexedCollection accountIcoll2 = new IndexedCollection();
            for (int i2 = 0; i2 < icoll.size(); i2++) {
                KeyedCollection kColl2 = (KeyedCollection) icoll.get(i2);
                String cardNo = (String) kColl2.getDataValue("accountNo");
                String accountType = (String) kColl2.getDataValue("accountType");
                String perAccountTypeName = "";
                if (StringUtils.equals("101", accountType) && cardNo.length() == 22) {
                    perAccountType = "0";
                    if ("ZH_CN".equals(language)) {
                        perAccountTypeName = "活期储蓄存折";
                    } else if ("EN_US".equals(language)) {
                        perAccountTypeName = "Current savings passbook";
                    } else if ("ZH_TW".equals(language)) {
                        perAccountTypeName = "活期儲蓄存折";
                    }
                } else if ((StringUtils.equals("101", accountType) || StringUtils.equals("141", accountType)) && cardNo.length() == 19) {
                    perAccountType = "1";
                    if ("ZH_CN".equals(language)) {
                        perAccountTypeName = "借记卡";
                    } else if ("EN_US".equals(language)) {
                        perAccountTypeName = "Debit card";
                    } else if ("ZH_TW".equals(language)) {
                        perAccountTypeName = "借記卡";
                    }
                } else if (cardNo.length() == 16) {
                    perAccountType = "2";
                    if ("ZH_CN".equals(language)) {
                        perAccountTypeName = "信用卡";
                    } else if ("EN_US".equals(language)) {
                        perAccountTypeName = "Credit card";
                    } else if ("ZH_TW".equals(language)) {
                        perAccountTypeName = "信用卡";
                    }
                } else {
                    perAccountType = "3";
                    if ("ZH_CN".equals(language)) {
                        perAccountTypeName = "定期一本通/存单";
                    } else if ("EN_US".equals(language)) {
                        perAccountTypeName = "Passbook of time deposits/Certificates of deposit";
                    } else if ("ZH_TW".equals(language)) {
                        perAccountTypeName = "定期一本通/存單";
                    }
                }
                kColl2.addDataField("perAccountType", perAccountType);
                kColl2.addDataField("perAccountTypeName", perAccountTypeName);
                accountIcoll2.add(kColl2);
            }
            Map map = (Map) context.get(TEntity.BSN_DATA_MAP);
            Map data2 = map;
            if (map == null) {
                data2 = new HashMap();
                context.put(TEntity.BSN_DATA_MAP, data2);
            }
            data2.put("iAccountInfo", accountIcoll2);
            context.put(TEntity.MODIFY_CACHE_OR_SESSION_FALG, "true");
            return "0";
        }
        return "0";
    }

    public void setOperType(String operType) {
        this.operType = operType;
    }

    public void setIcollName(String icollName) {
        this.icollName = icollName;
    }

    public void setPerAccountType(String perAccountType) {
        this.perAccountType = perAccountType;
    }
}
